Bug 394651 - Review Request: asio - cross-platform C++ library for network programming
Review Request: asio - cross-platform C++ library for network programming
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 12:28 EST by Marc Maurer
Modified: 2014-08-11 08:25 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 09:32:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marc Maurer 2007-11-21 12:28:50 EST
Spec URL: http://uwog.net/~uwog/asio.spec
SRPM URL: http://uwog.net/~uwog/asio-0.3.8-1.src.rpm

Description: 
asio is a cross-platform C++ library for network programming that provides developers with a consistent asynchronous I/O model using a modern C++ approach.
Comment 1 Dan Smith 2007-11-22 11:14:10 EST
Builds fine on fedora-development-x86_64.  Comments:

The main binary package has nothing but the license in it:

  $ rpm -qpl asio-0.3.8-1.x86_64.rpm 
  /usr/share/doc/asio-0.3.8
  /usr/share/doc/asio-0.3.8/LICENSE_1_0.txt

  $ rpmlint asio-0.3.8-1.x86_64.rpm 
  asio.x86_64: E: no-binary

The -debuginfo package is completely empty:

  $ rpmlint asio-debuginfo-0.3.8-1.x86_64.rpm 
  asio-debuginfo.x86_64: E: empty-debuginfo-package

  $ rpm -qpl asio-debuginfo-0.3.8-1.x86_64.rpm 
  (contains no files)

BuildRoot in your spec should include %{release}, per the guidelines:

http://fedoraproject.org/wiki/Packaging/Guidelines#head-b4fdd45fa76cbf54c885ef0836361319ab962473

Source0 should include a full URL to the upstream source package.

Comment 2 Marc Maurer 2007-11-23 17:11:29 EST
> The main binary package has nothing but the license in it:

Well, the guidelines state that I _must_ include the license, as it is in the
upstream tarball. There is nothing else to include in this rpm really.

> The -debuginfo package is completely empty

Disabled the debuginfo package, as it makes no sense.

> BuildRoot in your spec should include %{release}

Done.

> Source0 should include a full URL to the upstream source package

Done.

Spec URL: http://uwog.net/~uwog/asio.spec
SRPM URL: http://uwog.net/~uwog/asio-0.3.8-2.src.rpm
Comment 3 Peter Gordon 2007-11-23 17:53:18 EST
Having an empty binary package makes no sense to me, especially when asio is
_intended_ for developers' use, and not that of end-users. I think it would be
more appropriate to include the files as the main package, with no -devel
subpackage being present.
Comment 4 Patrice Dumas 2007-11-23 18:03:49 EST
Personally I prefer no main package and a devel package since it is 
a devel package and in any case should provide -devel.

If you leave the main package empty by putting the license
in the devel subpackage there won't be any main package created
which is right in that case, in my opinion.

Also maybe this package could be noarch?
Comment 5 Marc Maurer 2007-11-23 18:09:24 EST
"BuildArch: noarch" seems appropriate indeed

I think it is best to place it all in a single -devel package, as in the future
asio might include shared libraries (similar to boost).
Comment 6 Marc Maurer 2007-11-23 18:25:57 EST
* Moved everything to a single -devel rpm
* Added "BuildArch: noarch"

Spec URL: http://uwog.net/~uwog/asio.spec
SRPM URL: http://uwog.net/~uwog/asio-0.3.8-1.src.rpm
Comment 7 Patrice Dumas 2007-11-24 17:20:23 EST
I recall vaguely that when there is a change in arch, like
noarch becoming i386/... yum cannot update, if exactarch=1,
which is the default case. So maybe changing arch is
not a good idea. The tools should allow this, though.
Comment 8 Marc Maurer 2007-11-25 08:34:23 EST
* Removed "BuildArch: noarch"

Spec URL: http://uwog.net/~uwog/asio.spec
SRPM URL: http://uwog.net/~uwog/asio-0.3.8-4.src.rpm
Comment 9 Patrice Dumas 2007-11-25 19:43:11 EST
It cannot be installed with the
Requires:      %{name} = %{version}-%{release}

A BuildRequires and a Requires openssl-devel is missing, and a 
Requires boost-devel is also missing.

A dot is missing at the first devel %description sentence end.

the following are not useful right now, since there is no lib:
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

COPYING file should be in %doc

The content of the doc directory should be shipped, either in 
devel or in a doc subpackage if you find it too big. See the
guidelines for further recommendations.

I think it would be much better to have timestamps kept, this 
should be achived with
make install DESTDIR=$RPM_BUILD_ROOT INSTALL='install -p'

I suggest using %{version} in
Source0: http://downloads.sourceforge.net/asio/asio-%{version}.tar.bz2
but it is only a suggestion.

I also suggest using %defattr(-,root,root,-) instead of %defattr(-,root,root)

Comment 10 Patrice Dumas 2007-11-25 19:44:17 EST
As a side note, the make call could be in %check and not 
in %build since it is currently only used for tests.
Comment 11 Marc Maurer 2007-11-28 13:11:27 EST
New package including the comments #9 and #10 (thanks!):

Spec URL: http://uwog.net/~uwog/asio.spec
SRPM URL: http://uwog.net/~uwog/asio-0.3.8-5.src.rpm
Comment 12 Patrice Dumas 2007-11-28 18:05:37 EST
The timestamps are still not kept because INSTALL is not used,
instead install-sh is used, certainly because it creates directory.

The following should work:
make install DESTDIR=$RPM_BUILD_ROOT nobase_includeHEADERS_INSTALL='install -D
-p -m644'

rpmlint warnings to be fixed:
asio-devel.i386: W: spurious-executable-perm
/usr/share/doc/asio-devel-0.3.8/up_disabled.png
asio-devel.i386: W: spurious-executable-perm
/usr/share/doc/asio-devel-0.3.8/prev_disabled.png
asio-devel.i386: W: spurious-executable-perm
/usr/share/doc/asio-devel-0.3.8/next_disabled.png

And also many file-not-utf8 that are not a problem since files are
encoded in latin1 and it is what is in the headers.

I suggest putting the BuildRequires in the main package not 
the devel package.

I also suggest using dist since it will become arch at some point.
Comment 13 Marc Maurer 2007-11-29 17:11:37 EST
Suggested changes from comment 12 are in this spec:

Spec URL: http://uwog.net/~uwog/asio.spec
SRPM URL: http://uwog.net/~uwog/asio-0.3.8-6.fc7.src.rpm
Comment 14 Patrice Dumas 2007-12-01 18:47:44 EST
Source file timestamps are not kept. You can use wget -N, 
spectool -g or the corresponding curl option.

-rw-rw-r-- 1 dumas dumas 509783 oct 25 13:47 asio-0.3.8.tar.bz2
-rw-rw-r-- 1 dumas dumas 509783 nov 21 16:46 ../SOURCES/asio-0.3.8.tar.bz2
Comment 15 Marc Maurer 2007-12-02 15:28:04 EST
Keep timestamps of the original tarball release:

Spec URL: http://uwog.net/~uwog/asio.spec
SRPM URL: http://uwog.net/~uwog/asio-0.3.8-7.fc7.src.rpm
Comment 16 Patrice Dumas 2007-12-03 16:28:13 EST
* rpmlint gives non utf8 warnings, but the files have a
  proper latin1 encoding advertised.
* follow guidelines
* free software, license included
* match upstream
309d2c353392d1b7caf3bb48980c743d  asio-0.3.8.tar.bz2
* %files section right

APPROVED
Comment 17 Marc Maurer 2007-12-04 14:35:57 EST
New Package CVS Request
=======================
Package Name: asio
Short Description: cross-platform C++ library for network programming
Owners: uwog
Branches: devel
InitialCC:
Cvsextras Commits: yes
Comment 18 Kevin Fenzi 2007-12-04 14:59:17 EST
cvs done.
Comment 19 Mamoru TASAKA 2007-12-16 00:11:47 EST
Please close this bug when rebuild is done.
Comment 20 Mamoru TASAKA 2008-01-17 09:32:19 EST
Closing as this is already in devel branch
Comment 21 Daniel Pocock 2013-04-22 04:33:36 EDT
Package Change Request
======================
Package Name: asio
New Branches: epel5 and epel6
Owners: pocock
InitialCC: uwog

I maintain the reSIProcate package, it depends on asio.  asio is not available in EPEL and it is needed in order for me to provide reSIProcate in EPEL.

I've contacted uwog, the asio maintainer, more than 10 days ago and there has been no response:
https://bugzilla.redhat.com/show_bug.cgi?id=951201

Therefore, can you please create the EPEL git branches for me to maintain
Comment 22 Jon Ciesla 2013-04-22 08:52:18 EDT
Git done (by process-git-requests).

Corrected branch names.
Comment 23 Daniel Pocock 2014-08-09 15:25:12 EDT
Package Change Request
======================
Package Name: asio
New Branches: epel7
Owners: pocock, uwog
InitialCC: uwog

Now that EPEL7 is available, please create the branch and give access to

pocock
uwog
Comment 24 Jon Ciesla 2014-08-11 08:25:08 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.